--AH:ScriptId=6c504eab-a337-4329-b7b8-9720d66c5287;2963
CREATE TABLE [ProGetPackages]
(
	[ProGetPackage_Id] INT IDENTITY(1, 1) NOT NULL,
	[Feed_Id] INT NOT NULL,
	[Group_Name] NVARCHAR(200) NOT NULL,
	[Package_Name] NVARCHAR(200) NOT NULL,
	[Title_Text] NVARCHAR(100) NULL,
	[Description_Text] NVARCHAR(MAX) NULL,
	[IconUrl_Text] NVARCHAR(100) NULL,
	[LatestVersion_Text] NVARCHAR(50) NULL,
	[Download_Count] INT NOT NULL,

	CONSTRAINT [PK__ProGetPackages]
		PRIMARY KEY ([ProGetPackage_Id]),

	CONSTRAINT [FK__ProGetPackages__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id]),

	CONSTRAINT [UQ__ProGetPackages]
		UNIQUE ([Feed_Id], [Group_Name], [Package_Name])
)

CREATE TABLE [ProGetPackageVersions]
(
	[ProGetPackage_Id] INT NOT NULL,
	[Version_Text] NVARCHAR(50) NOT NULL,
	[PackageHash_Bytes] BINARY(20) NOT NULL,
	[PackageMetadata_Bytes] VARBINARY(MAX) NOT NULL,
	[Published_Date] DATETIME NOT NULL,
	[Package_Size] BIGINT NOT NULL,
	[Download_Count] INT NOT NULL,
	[Cached_Indicator] YNINDICATOR NOT NULL,

	CONSTRAINT [PK__ProGetPackageVersions]
		PRIMARY KEY ([ProGetPackage_Id], [Version_Text]),

	CONSTRAINT [FK__ProGetPackageVersions__ProGetPackages]
		FOREIGN KEY ([ProGetPackage_Id])
		REFERENCES [ProGetPackages] ([ProGetPackage_Id])
)
