EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'NuGetPackages_GetPackages',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'NuGetPackages_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the packages in a feed.'
GO

IF OBJECT_ID('[NuGetPackages_GetPackages]') IS NOT NULL DROP PROCEDURE [NuGetPackages_GetPackages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [NuGetPackages_GetPackages]
(
	@Feed_Id INT,
	@PackageIds_Psv NVARCHAR(MAX) = NULL
)
AS
BEGIN
	
	SET NOCOUNT ON

	IF @PackageIds_Psv IS NULL
	BEGIN

		SELECT * 
		  FROM [NuGetPackages_Extended]
		 WHERE [Feed_Id] = @Feed_Id

	END
	ELSE
	BEGIN

		DECLARE @PackageIds TABLE ([Package_Id] NVARCHAR(255) NOT NULL)
		INSERT INTO @PackageIds
		SELECT DISTINCT([Value_Text])
		  FROM dbo.CsvToTable(@PackageIds_Psv, '|')


		SELECT P.*
		  FROM @PackageIds I
		       INNER JOIN [NuGetPackages_Extended] P
			           ON P.[Feed_Id] = @Feed_Id
					  AND P.[Package_Id] = I.[Package_Id]

	END

END
GO

GRANT EXECUTE ON [NuGetPackages_GetPackages] TO [ProGetUser_Role]
GO
